--AH:ScriptId=44cc4f04-9d4f-45c0-b3df-f1967c31b95b;378
ALTER TABLE [BuildSchedules]
  DROP [CK__Schedule__Start_Date__Domain]

ALTER TABLE [BuildSchedules]
  DROP [CK__Schedule__End_Date_Domain]
  
ALTER TABLE [dbo].[BuildSchedules]
  DROP [CK__Schedule__Validity]

ALTER TABLE [dbo].[BuildSchedules]
ADD CONSTRAINT [CK__Schedule__Validity] CHECK
  ( (
       [Schedule_Type] IN ('SCM Triggered')
         AND COALESCE([StartTime_Minutes], [Recurrence_Type], [RecurrenceFrequency_Value], 
               [RecurrenceWeeklyDay_Mask], 
               [RecurrenceMonthlyDay_Value], [RecurrenceMonthlyRelativity_Type], [RecurrenceMonthlyRelativityDay_Type], 
               [RecurrenceMonthlyRelativityWeek_Type], [RecurrenceMonthlyRelativityWeekDay_Value],
			   [Url_AllowedIP_CSV], [Url_Username_Text], [Url_Password_Text]) IS NULL
		 AND [SourceControl_Path_Name] IS NOT NULL
		 AND [SourceControl_Provider_Id] IS NOT NULL
    ) OR (
	   [Schedule_Type] IN ('URL Triggered')
         AND COALESCE([StartTime_Minutes], [Recurrence_Type], [RecurrenceFrequency_Value], 
               [RecurrenceWeeklyDay_Mask], 
               [RecurrenceMonthlyDay_Value], [RecurrenceMonthlyRelativity_Type], [RecurrenceMonthlyRelativityDay_Type], 
               [RecurrenceMonthlyRelativityWeek_Type], [RecurrenceMonthlyRelativityWeekDay_Value],
			   [SourceControl_Path_Name], [SourceControl_Provider_Id]) IS NULL
    ) OR (
       [Schedule_Type] IN ('Once')
         AND [StartTime_Minutes] IS NOT NULL
         AND COALESCE([Recurrence_Type], [RecurrenceFrequency_Value],[RecurrenceWeeklyDay_Mask], 
               [RecurrenceMonthlyDay_Value], [RecurrenceMonthlyRelativity_Type], [RecurrenceMonthlyRelativityDay_Type], 
               [RecurrenceMonthlyRelativityWeek_Type], [RecurrenceMonthlyRelativityWeekDay_Value],
			   [Url_AllowedIP_CSV], [Url_Username_Text], [Url_Password_Text],
			   [SourceControl_Path_Name], [SourceControl_Provider_Id]) IS NULL
    ) OR (
       [Schedule_Type] = 'Recurring' AND
       (((
            [Recurrence_Type] = 'Daily' 
              AND COALESCE([RecurrenceWeeklyDay_Mask], [RecurrenceMonthlyDay_Value], [RecurrenceMonthlyRelativity_Type], 
                    [RecurrenceMonthlyRelativityDay_Type], [RecurrenceMonthlyRelativityWeek_Type], 
                    [RecurrenceMonthlyRelativityWeekDay_Value]) IS NULL
         ) OR (
            [Recurrence_Type] = 'Weekly' 
              AND [RecurrenceWeeklyDay_Mask] IS NOT NULL
              AND COALESCE([RecurrenceMonthlyDay_Value], [RecurrenceMonthlyRelativity_Type],
                    [RecurrenceMonthlyRelativityDay_Type], 
                    [RecurrenceMonthlyRelativityWeek_Type], [RecurrenceMonthlyRelativityWeekDay_Value]) IS NULL
         ) OR (
            [Recurrence_Type] = 'Monthly' AND
            ( (
                 [RecurrenceMonthlyDay_Value] IS NOT NULL 
                   AND COALESCE([RecurrenceMonthlyRelativity_Type], [RecurrenceMonthlyRelativityDay_Type], 
                         [RecurrenceMonthlyRelativityWeek_Type], [RecurrenceMonthlyRelativityWeekDay_Value]) IS NULL
              ) OR (
                 [RecurrenceMonthlyDay_Value] IS NULL AND
                 ( (
                     [RecurrenceMonthlyRelativity_Type] = 'Day'
                       AND [RecurrenceMonthlyRelativityDay_Type] IS NOT NULL
                       AND [RecurrenceMonthlyRelativityWeek_Type] IS NULL
                       AND [RecurrenceMonthlyRelativityWeekDay_Value] IS NULL
                   ) OR (
                     [RecurrenceMonthlyRelativity_Type] = 'Week'
                       AND [RecurrenceMonthlyRelativityDay_Type] IS NULL
                       AND [RecurrenceMonthlyRelativityWeek_Type] IS NOT NULL
                       AND [RecurrenceMonthlyRelativityWeekDay_Value] IS NOT NULL
                   )
                 )
              )
            )
            AND [RecurrenceWeeklyDay_Mask] IS NULL
         ))
         AND [StartTime_Minutes] IS NOT NULL
       )
       AND [RecurrenceFrequency_Value] IS NOT NULL
	   AND COALESCE([Url_AllowedIP_CSV], [Url_Username_Text], [Url_Password_Text],
			   [SourceControl_Path_Name], [SourceControl_Provider_Id]) IS NULL
    )
  )

ALTER TABLE [BuildSchedules]
  DROP COLUMN [Start_Date]
  
ALTER TABLE [BuildSchedules]
  DROP COLUMN [End_Date]