--AH:ScriptId=03511cd3-be7c-464a-977b-c5361f0ab574;1744
CREATE TABLE [BuildExecution_DeploymentPlans]
(
	[BuildExecution_DeploymentPlan_Id] INT IDENTITY(1, 1) NOT NULL,
	[Execution_Id] INT NOT NULL,
	[Original_DeploymentPlan_Id] INT NOT NULL,
	[Original_DeploymentPlan_Name] NVARCHAR(50) NULL,

	CONSTRAINT [FK__BuildExecution_DeploymentPlans__BuildExecutions]
		FOREIGN KEY ([Execution_Id])
		 REFERENCES [BuildExecutions] ([Execution_Id]),

	CONSTRAINT [PK__BuildExecution_DeploymentPlans]
		PRIMARY KEY ([BuildExecution_DeploymentPlan_Id])
)

GO

ALTER TABLE [BuildExecutions]
	ADD [Initial_BuildExecution_DeploymentPlan_Id] INT NULL

ALTER TABLE [BuildExecutions]
	ADD CONSTRAINT [FK__BuildExecutions__BuildExecution_DeploymentPlans]
		FOREIGN KEY ([Initial_BuildExecution_DeploymentPlan_Id])
		 REFERENCES [BuildExecution_DeploymentPlans] ([BuildExecution_DeploymentPlan_Id])

ALTER TABLE [BuildExecutions]
	ADD [ReexecutionState_Xml] XML NULL

ALTER TABLE [BuildExecutions]
	DROP COLUMN [PlanModifiedSinceLastExecution_Indicator]

GO

ALTER TABLE [BuildExecution_ActionGroupActions]
	ADD [Nested_BuildExecution_DeploymentPlan_Id] INT NULL

ALTER TABLE [BuildExecution_ActionGroupActions]
	ADD CONSTRAINT [FK__BuildExecution_ActionGroupActions__BuildExecution_DeploymentPlans]
		FOREIGN KEY ([Nested_BuildExecution_DeploymentPlan_Id])
		 REFERENCES [BuildExecution_DeploymentPlans] ([BuildExecution_DeploymentPlan_Id])

GO

CREATE TABLE [BuildExecution_DeploymentPlanActionGroups]
(
	[BuildExecution_DeploymentPlan_Id] INT NOT NULL,
	[Original_DeploymentPlanActionGroup_Sequence] INT NOT NULL,
	[Original_Deployable_Name] VARCHAR(50) NULL,
	[Original_Deployable_Application_Name] VARCHAR(50) NULL,
	[Original_DeploymentPlanActionGroup_Id] INT NOT NULL,
	[Original_DeploymentPlanActionGroup_Name] VARCHAR(50) NULL,

	CONSTRAINT [FK__BuildExecution_DeploymentPlanActionGroups__BuildExecution_DeploymentPlans]
		FOREIGN KEY ([BuildExecution_DeploymentPlan_Id])
		 REFERENCES [BuildExecution_DeploymentPlans] ([BuildExecution_DeploymentPlan_Id]),

	CONSTRAINT [PK__BuildExecution_DeploymentPlanActionGroups]
		PRIMARY KEY ([BuildExecution_DeploymentPlan_Id], [Original_DeploymentPlanActionGroup_Sequence])
)