IF OBJECT_ID('[BuildArtifacts_Extended]') IS NOT NULL DROP VIEW [BuildArtifacts_Extended]
GO

CREATE VIEW [BuildArtifacts_Extended] AS

	SELECT A.[Application_Id]
          ,A.[Application_Name]
		  ,R.[Release_Id]
		  ,R.[Release_Number]
		  ,B.[Build_Id]
		  ,B.[Build_Number]
		  ,BA.[Deployable_Id]
		  ,D.[Deployable_Name]
		  ,BA.[Artifact_Name]
		  ,BA.[Execution_Id]
		  ,BA.[Created_Date]
		  ,BA.[Artifact_Path]
		  ,B.[BuildStatus_Name]

	  FROM [BuildArtifacts] BA
	       INNER JOIN [Builds] B
		           ON B.[Build_Id] = BA.[Build_Id]
		    LEFT JOIN [Releases] R
		           ON R.[Release_Id] = B.[Release_Id]
		    LEFT JOIN [Applications] A
		           ON A.[Application_Id] = B.[Application_Id]
		    LEFT JOIN [Deployables] D
				   ON BA.[Deployable_Id] = D.[Deployable_Id]

GO
