EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Applications_GetDeployableDependencies',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'DeployableDependencies',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a set of dependencies for the deployables in a given application or a specific deployable if one is specified'
GO

IF OBJECT_ID('[Applications_GetDeployableDependencies]') IS NOT NULL DROP PROCEDURE [Applications_GetDeployableDependencies]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Applications_GetDeployableDependencies]
(
	@Application_Id INT,
	@Deployable_Id INT = NULL
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

		SELECT * FROM [DeployableDependencies]
		 WHERE [Deployable_Id] IN (SELECT [Deployable_Id] FROM [Deployables] 
		                            WHERE [Application_Id] = @Application_Id)
		   AND [Deployable_Id] = COALESCE(@Deployable_Id,[Deployable_Id])

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Applications_GetDeployableDependencies] TO [BuildMasterUser_Role]