EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Artifacts_GetArtifactsForBuild',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'BuildArtifacts_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all artifacts associated with the specified build.'
GO

IF OBJECT_ID('[Artifacts_GetArtifactsForBuild]') IS NOT NULL DROP PROCEDURE [Artifacts_GetArtifactsForBuild]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Artifacts_GetArtifactsForBuild]
(
	@Build_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [BuildArtifacts_Extended]
	 WHERE [Build_Id] = @Build_Id
	 ORDER BY [Created_Date] DESC

END
GO

GRANT EXECUTE ON [Artifacts_GetArtifactsForBuild] TO [BuildMasterUser_Role]
