EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'BuildTestResults_GetTestLog',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'BuildTestResults_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the results of a specific unit test'
GO


IF OBJECT_ID('[BuildTestResults_GetTestLog]') IS NOT NULL DROP PROCEDURE [BuildTestResults_GetTestLog]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [BuildTestResults_GetTestLog]
(
	@Execution_Id INT,
	@Group_Name VARCHAR(50),
	@Test_Sequence INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [BuildTestResults_Extended]
	 WHERE [Execution_Id] = @Execution_Id
	   AND [Group_Name] = @Group_Name
	   AND [Test_Sequence] = @Test_Sequence

END
GO

GRANT EXECUTE ON [BuildTestResults_GetTestLog] TO [BuildMasterUser_Role]
