EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Environments_UndeleteEnvironment',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Undeletes the specified environment'
GO


IF OBJECT_ID('[Environments_UndeleteEnvironment]') IS NOT NULL DROP PROCEDURE [Environments_UndeleteEnvironment]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Environments_UndeleteEnvironment]
(
	@Environment_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	UPDATE [Environments] 
	   SET [Active_Indicator] = 'Y'
	 WHERE [Environment_Id] = @Environment_Id

    EXEC [Events_RaiseEvent] 'ENVMOD', NULL, @Environment_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Environments_UndeleteEnvironment] TO [BuildMasterUser_Role]