EXEC [__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Issues_DeleteIssue',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes an issue.'
GO

IF OBJECT_ID('[Issues_DeleteIssue]') IS NOT NULL DROP PROCEDURE [Issues_DeleteIssue]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Issues_DeleteIssue]
(
	@Application_Id INT,
	@Issue_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

		DELETE [Issues]
		 WHERE [Application_Id] = @Application_Id
		   AND [Issue_Id] = @Issue_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Issues_DeleteIssue] TO [BuildMasterUser_Role]
