EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Releases_ResequenceRelease',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Resequences the specified release by placing it where another release is sequenced.'
GO


IF OBJECT_ID('[Releases_ResequenceRelease]') IS NOT NULL DROP PROCEDURE [Releases_ResequenceRelease]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Releases_ResequenceRelease]
(
	@Application_Id INT,
    @Release_Number RELEASENUMBER,
	@Release_Sequence BIGINT
)
AS
BEGIN

	SET NOCOUNT ON

	DECLARE @Old_Release_Sequence BIGINT
	SELECT @Old_Release_Sequence = [Release_Sequence]
	  FROM [Releases]
	 WHERE [Application_Id] = @Application_Id
	   AND [Release_Number] = @Release_Number
	
	UPDATE [Releases]
	   SET [Release_Sequence] = CASE
	          WHEN [Releases].[Release_Sequence] = RTAR.[Release_Sequence] 
	               THEN RPOS.[Release_Sequence]
	          WHEN [Releases].[Release_Sequence] BETWEEN RTAR.[Release_Sequence] AND RPOS.[Release_Sequence]
	               THEN [Releases].[Release_Sequence] - 1
	          WHEN [Releases].[Release_Sequence] BETWEEN RPOS.[Release_Sequence] AND RTAR.[Release_Sequence]
	               THEN [Releases].[Release_Sequence] + 1
	          ELSE [Releases].[Release_Sequence]
	          END
	  FROM [Releases],
	       [Releases] RTAR,
	       [Releases] RPOS
	 WHERE [Releases].[Application_Id] = @Application_Id
       AND RTAR.[Application_Id] = @Application_Id
       AND RTAR.[Release_Sequence] = @Old_Release_Sequence
	   AND RPOS.[Application_Id] = @Application_Id
       AND RPOS.[Release_Sequence] = @Release_Sequence
	   AND @Old_Release_Sequence <> @Release_Sequence


END
GO

GRANT EXECUTE ON [Releases_ResequenceRelease] TO [BuildMasterUser_Role]